Bug 39007 - Persistent "Restore Windows" dialog won't disappear, disables key functionality
Summary: Persistent "Restore Windows" dialog won't disappear, disables key functionality
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: LibreOffice (show other bugs)
Version:
(earliest affected)
3.5.4 release
Hardware: x86-64 (AMD64) Windows (All)
: high normal
Assignee: Not Assigned
URL: www.libreoffice.org
Whiteboard: target:3.7.0 target:4.2.0 target:4.1....
Keywords:
: 41175 44254 45519 46304 47029 48201 49663 49905 50687 51182 51427 52541 53510 54079 54150 54668 58529 59043 59074 59136 59191 59221 64002 64295 64480 65928 66589 (view as bug list)
Depends on:
Blocks: MacOS-Wishlist mab4.0
  Show dependency treegraph
 
Reported: 2011-07-06 09:31 UTC by David
Modified: 2017-10-18 14:10 UTC (History)
50 users (show)

See Also:
Crash report or crash signature:


Attachments
Restore Windows dialog (45.19 KB, image/png)
2011-07-06 09:31 UTC, David
Details
File to help trigger the bug. (82 bytes, application/octet-stream)
2012-11-28 22:04 UTC, Georg Schölly
Details
restorecount.plist - file to help trigger the bug (2nd attempt) (80 bytes, application/octet-stream)
2013-07-30 17:40 UTC, Thomas Albright
Details

Note You need to log in before you can comment on or make changes to this bug.
Description David 2011-07-06 09:31:47 UTC
Created attachment 48824 [details]
Restore Windows dialog

I recently had a computer crash while LibreOffice was open (the cause of the kernel panic was unrelated to LibreOffice). Since then, when I open LibreOffice or a document, I get the "Restore Windows" dialog (see attachment). No matter whether I click on "Don't restore Windows" or "Restore Windows" the dialog stays in front, I can't dismiss it, clicking on the buttons doesn't do anything.

The effects of this bug are:
• Impossible to open a document from the finder. The "Restore Windows" dialog pops up first and then the Libroffice welcome screen appears in the background. The only way is to open it from the File menu.
• Impossible to quit LibreOffice from the dock or the menu. Force quit is the only way.
• Deleting LibreOffice from Applications and installing it again doesn't help. The "Restore Windows" is still there when launching LibreOffice.
• The dialog stays in front no matter what, I have to hide the dialog manually.

If this helps, I'm running Mac OSX 10.7 (GM).
Comment 1 untitled.no4 2011-07-26 07:21:20 UTC
Me too.

Difference is my computer didn't crash, only LibreOffice did while I was trying to open a CSV file. 

Also Mac OSX 10.7
Comment 2 Iago Ramos 2011-08-01 11:19:52 UTC
You can bypass this deleting the Saved Application State for LibreOffice at:

~/Library/Saved\ Application\ State/org.libreoffice.script.savedState/

In a Terminal:

$ rm -fr ~/Library/Saved\ Application\ State/org.libreoffice.script.savedState/

But it's a huge bug. I suffered I don't know how but it's really disappointing.
Comment 3 Thomas Albright 2011-09-02 08:21:53 UTC
Although there is a work-around for this bug, it should be of the highest importance.  This essentially makes Libre Office unusable for the "normal" OS X user who would not know how to delete the Saved Application State.

This bug will definitely cause some OS X users to switch to another program.  I've already had to replace Libre Office with another program my wife's computer because she can't afford to wait until the end of the day for me to fix Libre Office if it crashes in the middle of the day.
Comment 4 Thomas Albright 2011-09-02 08:26:01 UTC
I should mention that I am also on OS X 10.7 (Lion).  This bug most likely does not exist on any versions before Lion.  Lion introduced a new feature where the operating system tracks windows which are open for every program, so that when you re-open a program later, the same documents can already be opened for you.

I'm just speculating here, but it appears that this bug is a conflict with that feature of Lion.
Comment 5 Iago Ramos 2011-09-08 03:50:32 UTC
Still open in 3.4.3. Can't you grab the code from NeoOffice support of the autosave feature?
Comment 6 J100 2011-12-15 14:10:15 UTC
I am using 3.4.4 on Lion and this is still an issue. 

$ rm -fr ~/Library/Saved\ Application\ State/org.libreoffice.script.savedState/

This fix works for a time. 

I am wondering if a java upgrade would help fix this issue? 

Has anyone had any luck with this issue at all?
Comment 7 Iago Ramos 2012-01-17 03:20:28 UTC
At least, some one can say that LO is not Lion compatible here:

http://www.libreoffice.org/get-help/system-requirements/
Comment 8 Iago Ramos 2012-01-23 03:34:57 UTC
3.5 RC seems to work fine here.
Comment 9 tiggiuro 2012-02-17 06:46:57 UTC
to me also it appears. i try to reinstall program, deleting before cache, but it appears yet.
i've got lion with to users: with administrator it runs, with the second user the error appears
Comment 10 Guy Voets 2012-02-19 11:54:09 UTC
iMac and MacBook Pro with Lion (OS X 10.7.2)
The bug is still there in 3.5. official release.

After a hanging LibO, or when you close a Mac without closing LibO first, you are presented at restart with a choice between restoring or not the open files of the previous session. Only: you cannot choose, the window remains whatever you do.

The solution with command in Terminal works (see Iago Ramos above), but it's a PITA to encounter this bug when normal procedure with Lion is that you close down your Mac with programs open, programs that will be started automagically when you start up again. LibO somehow conflicts with this Lion option.

This must cost LibO an important number of basic users on Mac...
Comment 11 SAH 2012-03-18 11:14:07 UTC
Bug still not fixed!  Re-downloaded and reinstalled program to no avail before finding this thread.

Using current Lion on an iMac.

Have not worked with terminal much but got it to work its magic.  Problem solved with that action.

Thank you Iago!

Have bookmarked this thread for future use! :)
Comment 12 Josh Heidenreich 2012-03-26 23:47:54 UTC
(In reply to comment #2)
> You can bypass this deleting the Saved Application State for LibreOffice at:
> 
> ~/Library/Saved\ Application\ State/org.libreoffice.script.savedState/
> 
> In a Terminal:
> 
> $ rm -fr ~/Library/Saved\ Application\ State/org.libreoffice.script.savedState/
> 
> But it's a huge bug. I suffered I don't know how but it's really disappointing.

Can we mention this (easy) workaround in the release notes? Took a while to find this bug report to fix the issue.

Obviously fixing the bug is a better idea...
Comment 13 manj_k 2012-04-04 02:31:41 UTC
*** Bug 47029 has been marked as a duplicate of this bug. ***
Comment 14 manj_k 2012-04-04 02:32:16 UTC
*** Bug 46304 has been marked as a duplicate of this bug. ***
Comment 15 manj_k 2012-04-04 02:34:12 UTC
*** Bug 45519 has been marked as a duplicate of this bug. ***
Comment 16 manj_k 2012-04-04 02:34:46 UTC
*** Bug 41175 has been marked as a duplicate of this bug. ***
Comment 17 Julien Nabet 2012-04-10 12:21:54 UTC
I had to help my father with this bug I didn't know.
I found this :
http://blog.mrgeckosmedia.com/2011/08/fixing-restore-windows-bug-in-lion.html
The interesting part is at the beginning when it says that this bug would only happen on not Cocoa Based applications.
I don't know if it's true or not but it could be an hint.
Comment 18 manj_k 2012-05-14 15:52:05 UTC
*** Bug 49905 has been marked as a duplicate of this bug. ***
Comment 19 Roman Eisele 2012-05-25 09:12:11 UTC
*** Bug 48201 has been marked as a duplicate of this bug. ***
Comment 20 cedlong 2012-06-03 05:47:09 UTC
Remember: the $ is your username and should not be included in the Terminal entry. Just copy and paste this:

rm -fr ~/Library/Saved\ Application\ State/org.libreoffice.script.savedState/

And RESTART your Mac. It will boot up without the LibreOffice warning.
Comment 21 Julien Nabet 2012-06-05 14:58:36 UTC
*** Bug 50687 has been marked as a duplicate of this bug. ***
Comment 22 stu0 2012-06-07 14:14:49 UTC
I am actively seeking an alternative as this bug renders the suite unusable
Comment 23 manj_k 2012-06-18 02:18:57 UTC
*** Bug 51182 has been marked as a duplicate of this bug. ***
Comment 24 manj_k 2012-06-18 02:22:09 UTC
*** Bug 49663 has been marked as a duplicate of this bug. ***
Comment 25 Stephan Bergmann 2012-06-18 06:09:36 UTC
*** Bug 44254 has been marked as a duplicate of this bug. ***
Comment 26 Stephan Bergmann 2012-06-18 06:11:42 UTC
see <https://bugs.freedesktop.org/show_bug.cgi?id=44254#c3> for backtrace and problematic ~/Library/Saved Application State/org.libreoffice.script.savedState
Comment 27 Keith Patterson 2012-06-19 14:15:27 UTC
Mine crashed also when trying to open a csv document.  I cannot use Libre in it's current state.
Comment 28 Julien Nabet 2012-06-19 14:50:24 UTC
(In reply to comment #27)
> Mine crashed also when trying to open a csv document.  I cannot use Libre in
> it's current state.

Do you reproduce the problem even after having applied what comment 20 or comment 26 indicated ?
Comment 29 Joel Madero 2012-06-20 11:13:00 UTC
I think someone experiencing this bug needs to change the title as well as it doesn't mention crash at all. I can't reproduce as I don't use Mac but the title is a bit misleading
Comment 30 Fred Tischler 2012-06-20 15:09:52 UTC
please take off this list

fred tischler
yoretime@verizon.net


On Jun 20, 2012, at 1:13 PM, bugzilla-daemon@freedesktop.org wrote:

> https://bugs.freedesktop.org/show_bug.cgi?id=39007
> 
> --- Comment #29 from Joel Madero <jmadero@usa.com> 2012-06-20 11:13:00 PDT ---
> I think someone experiencing this bug needs to change the title as well as it
> doesn't mention crash at all. I can't reproduce as I don't use Mac but the
> title is a bit misleading
> 
> -- 
> Configure bugmail: https://bugs.freedesktop.org/userprefs.cgi?tab=email
> ------- You are receiving this mail because: -------
> You are on the CC list for the bug.

Sent from MacBookPro
Comment 31 Roman Eisele 2012-06-26 02:10:13 UTC
*** Bug 51427 has been marked as a duplicate of this bug. ***
Comment 32 Roman Eisele 2012-06-26 03:02:28 UTC
(In reply to comment #29)
> I think someone experiencing this bug needs to change the title as well as it
> doesn't mention crash at all. I can't reproduce as I don't use Mac but the
> title is a bit misleading

Well, IMHO we should not change the summary (title) because it describes the problem reasonably well. Most (all?!) users affected by this problem don't experience a crash; the original description explains well what the problem is. Therefore, I guess that the crash mentioned in comment #27 (only!) is a different issue (cf. comment #28), and therefore we should NOT add "crash" to the summary.
Comment 33 mr.david.gold 2012-07-06 06:51:58 UTC
I experienced the same problem, fortunately the advice in comment #17 worked for me.
Comment 34 Mark Kirshner 2012-07-06 08:56:20 UTC
The advice in comment # 12:
Josh Heidenreich 2012-03-26 23:47:54 PDT

(In reply to comment #2
<https://bugs.freedesktop.org/show_bug.cgi?id=39007#c2>)> You can
bypass this deleting the Saved Application State for LibreOffice at:
>
> ~/Library/Saved\ Application\ State/org.libreoffice.script.savedState/
>
> In a Terminal:
>
> $ rm -fr ~/Library/Saved\ Application\ State/org.libreoffice.script.savedState/
>
> But it's a huge bug. I suffered I don't know how but it's really disappointing.

Worked with root (sudo) privliges.

Mark
On Fri, Jul 6, 2012 at 9:51 AM, <bugzilla-daemon@freedesktop.org> wrote:

> https://bugs.freedesktop.org/show_bug.cgi?id=39007
>
> --- Comment #33 from mr.david.gold@gmail.com 2012-07-06 06:51:58 PDT ---
> I experienced the same problem, fortunately the advice in comment #17
> worked
> for me.
>
> --
> Configure bugmail: https://bugs.freedesktop.org/userprefs.cgi?tab=email
> ------- You are receiving this mail because: -------
> You are on the CC list for the bug.
>
Comment 35 Larry Gusaas 2012-07-06 09:18:19 UTC
(In reply to comment #34)
> The advice in comment # 12:
> Josh Heidenreich 2012-03-26 23:47:54 PDT
> 
> (In reply to comment #2
> <https://bugs.freedesktop.org/show_bug.cgi?id=39007#c2>)> You can
> bypass this deleting the Saved Application State for LibreOffice at:
> >
> > ~/Library/Saved\ Application\ State/org.libreoffice.script.savedState/
> >
> > In a Terminal:

There is no need to use Terminal to do this,

Open Finder
Option-click the Go menu
Choose Library from the menu to open the folder in the Finder.
Click on the folder Saved Application State
Delete the file org.libreoffice.script.savedState
Comment 36 Nathan 2012-07-19 12:28:54 UTC
Confirmed in 3.5.3.2 on Lion. Can't upgrade yet due to regression in latest version.
Comment 37 Roman Eisele 2012-07-19 15:29:28 UTC
(In reply to comment #36)
> Confirmed in 3.5.3.2 on Lion.

Thank you for confirmation! (However, please don’t “upgrade” the version number; the Version field should always contain the FIRST version which is known to have the bug, not the last one ;-) Thank you!)
Comment 38 Roman Eisele 2012-07-26 16:27:58 UTC
*** Bug 52541 has been marked as a duplicate of this bug. ***
Comment 39 Roman Eisele 2012-08-24 17:56:35 UTC
*** Bug 53510 has been marked as a duplicate of this bug. ***
Comment 40 Stephan Bergmann 2012-08-27 14:02:14 UTC
*** Bug 54079 has been marked as a duplicate of this bug. ***
Comment 41 Roman Eisele 2012-08-28 12:42:38 UTC
*** Bug 54150 has been marked as a duplicate of this bug. ***
Comment 42 Roman Eisele 2012-08-30 10:21:38 UTC
An update about the importance of this bug:

according to 

https://bugs.freedesktop.org/duplicates.cgi?sortby=count&reverse=1&bug_id=46074%2C46901%2C36263%2C36677%2C46071%2C45081%2C44664%2C37488%2C40298%2C50552%2C50139%2C40571%2C46155%2C44720%2C39007%2C36301%2C49853%2C47044%2C46230%2C43989%2C37044%2C37024%2C34814%2C33463%2C33229%2C32664%2C50651%2C38244%2C37559%2C36496%2C36336%2C35972%2C34617%2C33114%2C32826%2C31716%2C31023%2C47963%2C47368%2C46687%2C45117%2C45020%2C44742%2C43869%2C42169%2C40261%2C39659%2C39093%2C37913%2C37654&sortvisible=0&product=LibreOffice&maxrows=100&changedsince=7

this is now the open bug with second-most duplicates. Congratulations to the winner of the silver medal ;-)


@ Thorsten Behrens:

I now I am pinging you about many Mac OS X-related bugs of medium importance, but this one is really critical. Could you please just add a short statement about the state of affairs, I mean, why it is so difficult to fix this issue? This would help QA volunteers like me a lot, allowing them to explain (without lying) to angry users why this issue is not fixed yet.

Thank you very much!
Comment 43 Ian 2012-08-30 12:26:28 UTC
(In reply to comment #20)
> Remember: the $ is your username and should not be included in the Terminal
> entry. Just copy and paste this:
> 
> rm -fr ~/Library/Saved\ Application\ State/org.libreoffice.script.savedState/
> 
> And RESTART your Mac. It will boot up without the LibreOffice warning.

Worked perfectly for me just now.  Thank you
Comment 44 Barry Dillon 2012-08-31 19:31:57 UTC
In responce to Comment #42 from Roman Eisele <bugs@eikota.de>

Initally Libreoffice worked without error for about 3 to 4 weeks, and then one day I turned on the Mac and Libreoffice started giving me this error. It will not allow me to either type a New document or willit open a pre existing document. I have only tried the wordprocessor, so I cant speak about the other applications.

Actually it is strange in so far as, origionally I was using Open office for about 3 to 4 weeks and it started rendering up the same "Window open" errors, I moved over to Libreoffice, only to find the same type of behaviour happening. Hope this helps.

Barry
Comment 45 Don't use this account, use tml@iki.fi 2012-09-07 06:57:56 UTC
Trying to reproduce this using LibreOffice 3.6.1 on OS X 10.8.1. No luck. Has anybody seen this problem on 10.8.1? This is the only Mac I have accesss to, so if this bug happens only on 10.7, somebody else will have to debug it.

The reproduction instructions could be clearer. Is this how it should be reproducible:?

- Start LibreOffice, open some document, make some change, don't save it
- Simulate a system crash (but cleanly, i.e. flushing file system buffers) by running sudo /sbin/reboot -q
- Wait for the machine to reboot
- Log in.

When I do the above, LibreOffice does start when I log in, and I get its own recovery dialog. Not any "Restore Windows" dialog as in the initial comment.

Or is it essential that one does *not* have a modified document open for the problem described in this bug to show up?

Or is it enough to simulate LibreOffice crashing by killing it (using the kill command on the command line, or perhaps Force Quit, although the latter might involve some attempts at cleany telling the app to quit first)?

Etc. Details, please. No more workaround instructions, thanks. (Besides, nobody mentioned the method described here: http://osxdaily.com/2011/08/01/turn-off-resume-per-app-in-mac-os-x-lion/ yet.)
Comment 46 Roman Eisele 2012-09-11 07:04:38 UTC
@Alex Thurgood:

This is one of our most important Mac OS X bugs. Now Tor has asked for exact steps to reproduce it (comment #45), but I can’t help here, because this bug appears only on Mac OS X >= 10.7, while I still need to use Mac OS X 10.6.x.

Can you please take a look this issue, and try to reproduce it? Maybe this is not easy, but it would be well worth some expediture of time, because this is really a very annoying bug. If you could help Tor to reproduce it, there is a good chance that it will get fixed, finally ...

Thank you very much!
Comment 47 Norbert Thiebaud 2012-09-12 04:05:11 UTC
I am not in a position to test it, but I think that the following patch _may_ be enough to work around the behavior:

diff --git a/vcl/aqua/source/window/salframe.cxx b/vcl/aqua/source/window/salframe.cxx
index a80ff4e..777d67d 100644
--- a/vcl/aqua/source/window/salframe.cxx
+++ b/vcl/aqua/source/window/salframe.cxx
@@ -222,6 +222,10 @@ void AquaSalFrame::initWindowAndView()
     // do this:
     objc_msgSend(mpWindow, @selector(setDelegate:), mpWindow);
 
+    if( [mpWindow respondsToSelector: @selector(setRestorable:)])
+    {
+        objc_msgSend(mpWindow, @selector(setRetorable:), NO);
+    }
     NSRect aRect = { { 0,0 }, { maGeometry.nWidth, maGeometry.nHeight } };
     mnTrackingRectTag = [mpView addTrackingRect: aRect owner: mpView userData: nil assumeInside: NO];
Comment 48 Roman Eisele 2012-09-12 06:43:03 UTC
(In reply to comment #47)

Be aware of a little typo:
> +        objc_msgSend(mpWindow, @selector(setRetorable:), NO);

should probably read
> +        objc_msgSend(mpWindow, @selector(setRestorable:), NO);
Comment 49 Alex Thurgood 2012-09-12 06:54:06 UTC
(In reply to comment #46)

Hi Roman,

> This is one of our most important Mac OS X bugs. Now Tor has asked for exact
> steps to reproduce it (comment #45), but I can’t help here, because this bug
> appears only on Mac OS X >= 10.7, while I still need to use Mac OS X 10.6.x.
> 
> Can you please take a look this issue, and try to reproduce it? Maybe this is
> not easy, but it would be well worth some expediture of time, because this is
> really a very annoying bug. If you could help Tor to reproduce it, there is a
> good chance that it will get fixed, finally ...


Unfortunately (or fortunately for me ;-) ), I've never ever had this problem as yet, irrespective of whether it was 10.6, 10.7 or 10.8...will follow Tor's suggestions of forced reboot, forced kill, etc, to see if I can create conditions in which it happens, but like I said, I torture my Macbook quite a lot even when LO is open and have never had this problem...

Alex
Comment 50 Roman Eisele 2012-09-12 07:50:56 UTC
*** Bug 54668 has been marked as a duplicate of this bug. ***
Comment 51 Norbert Thiebaud 2012-09-13 11:47:57 UTC
tentatively fixed on master with 41747c962603222b2d6221a9f5fca28cd71c103a

I reproduced the problem with prior version.
with this fix applied: I can open lo, start a document (calc), hard-kill the application...
On restart I get the normal 'recovery panel' without the annoying and un-discareable 'window restore' system dialog...

If other can confirms that this is gone... we may want to cherry pick that for 3.6
Comment 52 Not Assigned 2012-09-13 11:48:19 UTC
Norbert Thiebaud committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=41747c962603222b2d6221a9f5fca28cd71c103a

fdo#39007 make windows not 'restorable'



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 53 Thorsten Behrens (CIB) 2012-10-26 20:26:46 UTC
Roman, Alex, all: can someone please verify the fix on a recent master build from http://dev-builds.libreoffice.org/daily - if that works now, we can include it in the next 3.6 release.
Comment 54 Roman Eisele 2012-10-27 09:25:34 UTC
(In reply to comment #53)
> Roman, Alex, all: can someone please verify the fix on a recent master build
> from http://dev-builds.libreoffice.org/daily

I can't verify it (the problem appears only on Mac OS X >= 10.7, and I still need to use 10.6.8); can please someone else try to verify the fix? Thanks!
Comment 55 Alex Thurgood 2012-11-08 21:53:13 UTC
(In reply to comment #47)

Hi Norbert,


> +        objc_msgSend(mpWindow, @selector(setRetorable:), NO);

Shouldn't that be :

objc_msgSend(mpWindow, @selector(setRestorable:), NO);
                                      ^               



Alex
Comment 56 Alex Thurgood 2012-11-08 21:54:28 UTC
I will try and pummel my dev build from two days ago with this tomorrow morning.


Alex
Comment 57 Don't use this account, use tml@iki.fi 2012-11-09 06:38:58 UTC
The typo is not in the actual code;)
Comment 58 Georg Schölly 2012-11-23 18:04:35 UTC
I've tried this build under 10.8.2:

  http://dev-builds.libreoffice.org/daily/MacOSX-Intel@27-OSX_10.7.0-gcc_4.2.1_llvm/master/2012-11-23_03.51.01/

and the bug is still there.

Was that the right build?
Comment 59 Roman Eisele 2012-11-24 09:41:27 UTC
(In reply to comment #58)
> I've tried this build under 10.8.2:
> http://dev-builds.libreoffice.org/daily/MacOSX-Intel@27-OSX_10.7.0-gcc_4.2.
> 1_llvm/master/2012-11-23_03.51.01/
> and the bug is still there.
> Was that the right build?

Yes -- this is the right build. So if you can still reproduce this bug (exactly this bug?!) with that build, it seems that the “tentative fix” (cf. comment #51) did not hit the (right) bug ...

@ Norbert Thiebaud, Thorsten Behrens:
I fear we need to reopen this bug report; what is your opinion?
Comment 60 Georg Schölly 2012-11-28 22:04:47 UTC
Created attachment 70759 [details]
File to help trigger the bug.

I'm using 10.8.2 and the dialog message seems to have changed. Here's a screenshot: http://imgur.com/06dkk

I do believe this to be the same bug.

----

I haven't been able to reproduce the circumstances leading to this bug, any clear guidelines would be really helpful.

However, it's sufficient to have the file 'restorecount.plist' to trigger the bug. I've attached my version of it.

For the bug to trigger, you need the following files in your '~/Library/Saved Application State/org.libreoffice.script.savedState/' folder:

    data.data  window_1.data windows.plist

and

    restorecount.plist

. The first three documents get automatically created when you launch libreoffice. Just add 'restorecount.plist' and relaunch libreoffice and the dialog window should appear.

If anyone knows how to reproduce this bug *from scratch*, please respond.

----

The patch looks to me like it *should* work. I wonder if libreoffice might not recreate 'restorecount.plist' with the patch applied, but is still showing the dialog because of the existing file made by earlier versions.

However, to check this we need a way to reproduce the bug.
Comment 61 Roman Eisele 2012-12-20 09:01:55 UTC
*** Bug 58529 has been marked as a duplicate of this bug. ***
Comment 62 Alex Thurgood 2012-12-20 09:36:57 UTC
I haven't been able to test this as Mac builds no longer complete for me from master since Python 3.3 integration.

I could never reproduce the situation in the first place with the old builds, so...


Alex
Comment 63 kevin.lewis210 2013-02-11 19:46:45 UTC
Problem is not resolved..... Still have the dialog box that will not go away. If I knew anything about software development, I'd fix the problem myself. I can't wait for the bug to be fixed and a new version released
Comment 64 Joel Madero 2013-02-12 22:15:34 UTC
Moving this to 3.6 MAB as 3.5 is at the end of life for its cycle so we are closing the 3.5 MAB tracker. 

Hopefully the patch can be tweaked a bit more and the problem can be solved soon
Comment 65 Thorsten Behrens (CIB) 2013-02-19 17:59:44 UTC
Cannot currently commit to working on this, and a bit lost why norbert's fix did not work.
Comment 66 Beat 2013-03-17 16:50:12 UTC
Comment on attachment 48824 [details]
Restore Windows dialog

it's blocking all functionalitites, need to quite with force everytime. very ennoying.
Comment 67 Julien Nabet 2013-03-17 16:55:02 UTC
(In reply to comment #66)
> it's blocking all functionalitites, need to quite with force everytime. very
> ennoying.
It could be interesting you give these info:
- MacOs version
- LO version
- is it with a brand new LO directory profile? (see https://wiki.documentfoundation.org/UserProfile)

Finally, I'll quote Roman's questionnaire:
"
1) Do you have any accesibility features enabled? Apple’s accessibility
features like “VoiceOver” or “Enable access for assistive devices”, which get
enabled in “System Preferences > Universal Access”, are known to cause many crashes and freezes in LibreOffice. So please try to disable any accesibility features, then check if the problem is still reproducible.

2) Do you have installed any window management/user interface utilities/apps/control panels/extensions for Mac OS X like 
   * AquaSnap                * BetterSnapTool
   * BetterTouchTool         * Breeze
   * Cinch                   * Divvy
   * DoublePane              * Flexiglass
   * HyperDock               * iSnap
   * Moom                    * RightZoom
   * ShiftIt                 * SizeUp
   * SizeWell                * Spectacle
   * Stay                    * TileWindows
   * WindowTidy            ... or something similar?

And/or do you use any mouse cursor/pointer utility, i.e. some little application or control panel etc. which animates or replaces etc. the mouse curser/pointer, like
   * LazyMouse?

And/or do you use any special software which could be related to accessibility stuff, e.g. a screen reader, screen magnifier, speech recognition software,
a text-to-speech (dictation) application, or similar?

All these and many similar utilities rely heavily on Mac OS accessibility features and therefore can cause LibreOffice to crash or freeze. So please check if you have installed any utility of this kind and try to disable it
(or to add LibreOffice to the list of excluded applications for the utility,
if there is such a thing).

So please check these possibilities, if any of them helps to make the crash go away, and report the results here.
"
Comment 68 Emir Sarı (away) 2013-04-13 18:40:41 UTC
Also reproducible with Tor's latest 64-bit build, had to bypass the saved state to revert the situation.
Comment 69 Alex Thurgood 2013-05-03 06:24:51 UTC
I too have experienced this problem on a recent master build on my Macbook, as a result of a crash. However, in my case, removing the autogenerated crash reporter files and the corresponding lock file made the problem go away. I did not have to fiddle about with plist files or Saved Application State files.

The message was displayed nonetheless, and for a "normal" user is definitely enough to put people off using the product (well, in fact, once it happens, they can't anymore anyway).



Alex
Comment 70 bfoman (inactive) 2013-05-09 12:26:26 UTC
*** Bug 59221 has been marked as a duplicate of this bug. ***
Comment 71 bfoman (inactive) 2013-05-09 12:27:41 UTC
*** Bug 59043 has been marked as a duplicate of this bug. ***
Comment 72 Urmas 2013-05-12 02:14:35 UTC
*** Bug 64480 has been marked as a duplicate of this bug. ***
Comment 73 Jorendc 2013-05-19 14:05:07 UTC
*** Bug 64002 has been marked as a duplicate of this bug. ***
Comment 74 Jorendc 2013-05-20 10:01:02 UTC
*** Bug 59136 has been marked as a duplicate of this bug. ***
Comment 75 Jorendc 2013-05-21 16:58:11 UTC
*** Bug 59074 has been marked as a duplicate of this bug. ***
Comment 76 Norbert Thiebaud 2013-05-24 15:00:08 UTC
1/ the fix 
http://cgit.freedesktop.org/libreoffice/core/commit/?id=41747c962603222b2d6221a9f5fca28cd71c103a
is in 4.0 and above. so yes 3.5 and 3.6 versions are not 'fixed', and are not 'forward' compatible to new version of Mac OSX.
These version were never meant to support or tolerate OS 10.8 since that did not exist then they were branched....

2/ bear in mind that the fix does not solve the problem of a pre-existing issue with the restore dialogue popping up. the patch prevent it from occuring in the first place. iow if you had the 'restore dialog' problem and install the new version that it itself will not solve it. in 4.0 and above with the patch indicated above, we tell MacOSX _not_ to save the dreaded savedState file that the 'workaround' teach us to manually delete.
But if that 'state' file already exist there is no other solution but to delete it first.

3/ with that in mind: I could not reproduce the problem on a Mac 10.8.2 
I start a new instance force quit either on the launch screen or in a calc document. I restart LibreOffice => no native MacOSX 'Restore Document' Dialogue.

4/ if someone can reproduce the problem, please post what version of the OS you are using + any relevant 'extensions' you use like accessibility; and please post a recipe how to reproduce, with a LibreOffice version of 4.0 or more
Comment 77 Emir Sarı (away) 2013-06-20 13:14:56 UTC
*** Bug 65928 has been marked as a duplicate of this bug. ***
Comment 78 Emir Sarı (away) 2013-06-20 13:15:35 UTC
*** Bug 64295 has been marked as a duplicate of this bug. ***
Comment 79 Emir Sarı (away) 2013-06-20 13:16:34 UTC
*** Bug 59191 has been marked as a duplicate of this bug. ***
Comment 80 Jorendc 2013-07-04 18:11:34 UTC
*** Bug 66589 has been marked as a duplicate of this bug. ***
Comment 81 retired 2013-07-04 18:13:35 UTC
Nobert, Bug 66589 shows that the bug is not fixed in LO 4.1.0.2.
Comment 82 auto 2013-07-04 20:08:24 UTC
This bug is now 2 years old, and I find that truly amazing.



On Thu, 04 Jul 2013 11:13:37 -0700 bugzilla-daemon@freedesktop.org 
wrote:
>https://bugs.freedesktop.org/show_bug.cgi?id=39007
>
>--- Comment #81 from James <spam35@gmx.net> ---
>Nobert, Bug 66589 shows that the bug is not fixed in LO 4.1.0.2.
>
>-- 
>You are receiving this mail because:
>You are on the CC list for the bug.
Comment 83 Michael Meeks 2013-07-29 11:59:47 UTC
Tor - can you reproduce this ? It does seem to have a staggering number of duplicates & cause a ton of pain :-)
Comment 84 Don't use this account, use tml@iki.fi 2013-07-29 14:51:42 UTC
But do we have any reliable way to reproduce it from scratch?

@auto: please note that the only effect such whining as in your comment #82 has is to make useful and informational comments harder to find.
Comment 85 Michael Meeks 2013-07-29 16:37:32 UTC
Of course, I have no Mac - but reading:

http://oleb.net/blog/2011/07/whats-new-for-developers-in-lion-part-1/

makes me wonder if implementing a dummy NSWindowRestoration protocol might help clean it up - but of course, without being able to reproduce it, this is hideously annoying :-)

Alex - any ideas how you managed to reproduce this ? :-) could it be some race condition between creating the window and the setRestorable NO message [ sounds unlikely ].

I wonder how hard it would be to implement a real NSWindowRestoration protocol - but ... I guess it's a royal PITA. I wonder if this could be related to the auto-restarting wrapper. [ just filling the bug with my doubts ],
Comment 86 Norbert Thiebaud 2013-07-30 13:47:44 UTC
I've just re-tried this based on the steps and document in Bug 66589.
I _cannot_ reproduce.

After the crash I tried, 'reopen' and I also tried 'ignore'.... either way I do not see the problem..

Is there any extensions involved ? /me wonder if maybe an extension somewhere create it's own Windows 'natively' and does not set setRestorable to false on it ?

Bug 66589 does not indicate if the workaround indicated above

rm -fr ~/Library/Saved\ Application\ State/org.libreoffice.script.savedState/

does work for it... if it does looking into the files there _may_ help indicate what 'windows' state is saved and hence maybe track where it is comming from
Comment 87 Thomas Albright 2013-07-30 17:40:04 UTC
Created attachment 83318 [details]
restorecount.plist - file to help trigger the bug (2nd attempt)
Comment 88 Thomas Albright 2013-07-30 17:54:44 UTC
I have not yet successfully duplicated the bug from scratch, but here are some things I've learned:

Following Comment 60, I downloaded restorecount.plist and created it in ~/Library/Saved Application State/org.libreoffice.script.savedState/

At first, it did not work for me.  But the file has a "start" and "end" value.  I'm not sure what those fields represent, but guessing that they might be timestamps, I tried setting "end" to an extremely high value, and that seemed to work.

So the key to duplicating the bug from scratch is to find a scenario where restorecount.plist is created.  I'm still not sure how to do that, but here are some notes:

- From watching the filesystem, I noticed that restorecount.plist shows up very briefly when I start LibreOffice. However, it is also deleted very quickly.  Could killing the application during this short time when the file exists cause the bug?

- I don't know whether restorecount.plist is created by OS X or by LibreOffice itself (although my guess is that OS X creates it).

- If OS X creates the file, then the key to duplicating the bug from scratch is duplicating the circumstances that create that file.  The OS X preference database is probably important (especially the settings for NSQuitAlwaysKeepsWindows).

- The method of crashing the application may also be important. For example, does OS X create the file if the application is killed with SIGKILL?  For me, it did not.  It may be that a more organic crash is needed.
Comment 89 Alex Thurgood 2013-07-31 05:49:46 UTC
(In reply to comment #85)

Hi Michael,

> Alex - any ideas how you managed to reproduce this ? :-) could it be some
> race condition between creating the window and the setRestorable NO message
> [ sounds unlikely ].


Honestly, I have no idea. As it has only ever occurred once on my Macbook in the whole time that I have been beating LO to death with various testing, when it did happen, it took me totally by surprise. After deleting the SavedApplicationState entry, I was no longer able to reproduce it, and it hasn't happened again since, yet LO has died on me many times since then.

Alex
Comment 90 tommy27 2013-08-03 09:49:08 UTC
I have no Mac to test. is this bug still present in 4.0.4 and 4.1.0 final releases?
Comment 91 Stephen Rasku 2013-08-03 14:11:48 UTC
I have semi-regular kernel panics on my Retina MacBook.  I think that would reproduce it.  However, I don't know how to deliberately crash a Mac.
Comment 92 auto 2013-08-03 14:52:29 UTC
Bug is present, but only on the Mac.  Doesn't show up on a Windows 
system.  Bug appears to be unique to LibreOffice, and doesn't show 
up in Open Office.  A long time ago, open office had the bug, but 
that development group fixed it.

Randal

On Sat, 03 Aug 2013 02:49:11 -0700 bugzilla-daemon@freedesktop.org 
wrote:
>https://bugs.freedesktop.org/show_bug.cgi?id=39007
>
>tommy27 <barta@quipo.it> changed:
>
>           What    |Removed                     |Added
>-------------------------------------------------------------------
>---------
>                 CC|                            |barta@quipo.it
>
>--- Comment #90 from tommy27 <barta@quipo.it> ---
>I have no Mac to test. is this bug still present in 4.0.4 and 
>4.1.0 final
>releases?
>
>-- 
>You are receiving this mail because:
>You are on the CC list for the bug.
Comment 93 Don't use this account, use tml@iki.fi 2013-08-03 15:37:31 UTC
Of course it is Mac-only, that is perfectly obvious from the bug description, sheesh. Randal, have *you* seen the bug and can you reproduce it (without artificially storing a file into the saved state folder)? And we have the same fix for the problem as AOO has as far as I know.
Comment 94 auto 2013-08-03 15:57:48 UTC
I have seen the bug, but can't reproduce it, without artificially 
storing a file.



On Sat, 03 Aug 2013 08:37:34 -0700 bugzilla-daemon@freedesktop.org 
wrote:
>https://bugs.freedesktop.org/show_bug.cgi?id=39007
>
>--- Comment #93 from Tor Lillqvist <tlillqvist@suse.com> ---
>Of course it is Mac-only, that is perfectly obvious from the bug 
>description,
>sheesh. Randal, have *you* seen the bug and can you reproduce it 
>(without
>artificially storing a file into the saved state folder)? And we 
>have the same
>fix for the problem as AOO has as far as I know.
>
>-- 
>You are receiving this mail because:
>You are on the CC list for the bug.
Comment 95 rhyamamoto 2013-08-16 12:23:59 UTC
Okay, so I am pretty technically incompetent. This problem just started for me. How do I fix it? I am on Mac OS X 10.7.5 using LO 3.4 something. I'm in the middle of a paper and having to force quit and restart. Functionality is shot. I don't know what is different from yesterday when everything was fine...
Comment 96 Don't use this account, use tml@iki.fi 2013-08-16 12:25:54 UTC
rhyamamoto: See comment #2.

(And please consider upgrading to a more fresh version of LibreOffice.)
Comment 97 rhyamamoto 2013-08-16 22:50:28 UTC
Yeah, I see that, but don't understand where and how to do this.
Comment 98 Larry Gusaas 2013-08-16 23:10:19 UTC
(In reply to comment #97)
> Yeah, I see that, but don't understand where and how to do this.

Here is a simpler way that doesn't use Terminal.

Open Finder
Option-click the Go menu
Choose Library from the menu to open the folder in the Finder.
Click on the folder Saved Application State
Delete the file org.libreoffice.script.savedState
Comment 99 rhyamamoto 2013-08-17 11:01:00 UTC
Larry's fix worked for me. Thank you. Someone was questioning whether this probelm still existed in LO 4.0. Yes, it did. I had tried updating to a newer version before trying Tor's suggestion of working through Terminal. I am loathe to try 4.1 as I'm also working with zotero. The two sometimes don't get along which is why I was using such an old version of LibreOffice.
Comment 100 auto 2013-08-17 17:03:31 UTC
Upgrading to a newer version of LibreOffice will not do you 
anything.  This bug has been in existence for more than 2 years, 
and in spite of the enormous postings, the bug has been ignored.  I 
suggest using Open Office on the Mac OSX because it doesn't have 
the problem.  The problem is unique to LibreOffice, but only on the 
Mac.  The windows edition of LibreOffice doesn't have a problem.

Randal


On Fri, 16 Aug 2013 05:25:57 -0700 bugzilla-daemon@freedesktop.org 
wrote:
>https://bugs.freedesktop.org/show_bug.cgi?id=39007
>
>--- Comment #96 from Tor Lillqvist <tlillqvist@suse.com> ---
>rhyamamoto: See comment #2.
>
>(And please consider upgrading to a more fresh version of 
>LibreOffice.)
>
>-- 
>You are receiving this mail because:
>You are on the CC list for the bug.
Comment 101 Don't use this account, use tml@iki.fi 2013-08-17 19:36:06 UTC
@auto: Ignored? What is Norbert's patch then? You say yourself that you can't reproduce it without artificially storing a certain file in a certain directory. So how would developers be able to reproduce it? Being able to reproduce a bug is the basic requirement to fixing it. 

If somebody can give a clear reproduction recipe that applies to a current LibreOffice version and OS X 10.8 (or perhaps 10.7), there is a much greater chance that this bug, if it still exists, will be fixed.
Comment 102 Larry Gusaas 2013-08-17 20:02:29 UTC
(In reply to comment #99)
> Larry's fix worked for me. Thank you. Someone was questioning whether this
> probelm still existed in LO 4.0. Yes, it did. I had tried updating to a
> newer version before trying Tor's suggestion of working through Terminal. I
> am loathe to try 4.1 as I'm also working with zotero. The two sometimes
> don't get along which is why I was using such an old version of LibreOffice.
Upgrading to LO 4.0 won't fix the problem. You have to delete the file org.libreoffice.script.savedState first. Updating LibreOffice does not delete it.

This does not indicate that the problem still occurs with LO 4. It was a pre-existing problem from before your update.
Comment 103 Thomas Albright 2013-08-18 22:41:16 UTC
Even though we can only artificially reproduce it on a consistent basis, I would argue that is good enough to be able to make a fix.  The problem is not that restorecount.plist is created.  OS X creates that at its own discretion. The problem is that LibreOffice does not properly handle OS X's request to restore windows.

When restorecount.plist exists, OS X seemingly interrupts the application loading with the dialog to restore the windows.  OS X is apparently not satisfied with the response that it gets from LibreOffice after the use selects one of the dialog options, so OS X just keeps showing the dialog over and over again, and never frees up the application thread so that it can behave as it normally does.

The problem is that LibreOffice does not have any code to handle this dialog box.

If you can artificially reproduce the dialog box, then I think you should be able to code a response to OS X's dialog.

I imagine it will be something like implementing the NSWindowRestoration protocol, as Michael Meeks suggested.
Comment 104 Commit Notification 2013-08-19 08:04:44 UTC
Tor Lillqvist committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=bd507a0d093b7d5239992440a40d0a7453b38207

fdo#39007: Brute force fix: Unlink a potential restorecount.plist file



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 105 Commit Notification 2013-08-19 10:42:23 UTC
Tor Lillqvist committed a patch related to this issue.
It has been pushed to "libreoffice-4-1":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=7aa6eaa8b27aea6d52875d1a7d7994b3ca3e5904&h=libreoffice-4-1

fdo#39007: Brute force fix: Unlink a potential restorecount.plist file


It will be available in LibreOffice 4.1.2.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 106 Michael Meeks 2013-10-16 16:47:21 UTC
shipping 4.1.2 -> closing. If this continues to not fail in 4.1.2 we could consider back-porting.

Thanks for the reports ! :-)
Comment 107 Kevin Suo 2013-10-25 07:29:47 UTC
Today someone in the official LibreOffice Chinese QQ Qun mentioned this issue. He was using 4.0.6 when he encounter this problem. When he upgraded to 4.1.2 everything works OK again.

Then I found this bug, and noticed that this bug was not commited to 4.0, which is really a pity, as 4.0.6.2 is the last bug fix release for 4.0.
Comment 108 Joel Madero 2013-10-25 14:15:49 UTC
The reason for this is in order for it to get into 4.0 branch a lot of extra review has to be done in order to avoid regressions in late releases and we simply don't have the man power to backport every major patch to releases coming to EOL. I recommend upgrading to 4.1 as it's well beyond infancy and quite stable.
Comment 109 iSoph 2013-12-10 15:04:12 UTC
I’ve just experienced this bug again in Libre Office V 4.1.3.2 on Mac Os 10.7.5.
Deleting the restorecount.txt file in the Library solved the problem as usual. 
I don’t think this is fixed yet, sorry.
Comment 110 Michael Meeks 2013-12-10 15:31:31 UTC
iSoph - that's amazing: we delete the restorecount.plist file - so either there is a bug in the file we're removing [ if you can reproduce can you run that under truss / strace / whatever and post a log to see what file it tries to unlink ? - perhaps there is an error in the path ]. Or perhaps there is a new name, you mention: "restorecount.txt" - did that thing get renamed from plist ?

Thanks for re-opening anyhow.
Comment 111 retired 2013-12-11 12:44:34 UTC
Looks fixed for me on OS X 10.9 and 4.3.0.0alpha0+. Adding whiteboard status.

iSoph: Could you please test and see if ds.libreoffice.org/daily/master/MacOSX-x86@49-TDF/current/ fixes this issue for you?
Comment 112 retired 2013-12-11 12:45:22 UTC
Correct link (please excuse the noise): http://dev-builds.libreoffice.org/daily/master/MacOSX-x86@49-TDF/current/
Comment 113 auto 2013-12-12 00:15:02 UTC
I tried version 4.3.0 and it doesn't work.  I still get a popup, 
and I am running OSX Lion, Version 10.7.5

This bug has turned out to be one of the longest running 
programming bugs in history, and is now going on in its 3rd year.

Randal

----

On Wed, 11 Dec 2013 04:45:24 -0800 bugzilla-daemon@freedesktop.org 
wrote:
>https://bugs.freedesktop.org/show_bug.cgi?id=39007
>
>--- Comment #112 from Foss <foss@openmailbox.org> ---
>Correct link (please excuse the noise):
>http://dev-builds.libreoffice.org/daily/master/MacOSX-x86@49-
>TDF/current/
>
>-- 
>You are receiving this mail because:
>You are on the CC list for the bug.
Comment 114 auto 2013-12-12 00:36:55 UTC
LibreOffice 4.3.0 still has a problem.  I just attempted to run the 
program and received the annoying popup.  I am running Macbook Lion 
versokn 10.7.0

This problem isn't fixed, and is turning out to be one of the 
longest running programming bugs of all times, and is now going on 
for three years.  This problem has been in existence ever since I 
purchased my Macbook Pro.

123

On Wed, 11 Dec 2013 04:44:38 -0800 bugzilla-daemon@freedesktop.org 
wrote:
>https://bugs.freedesktop.org/show_bug.cgi?id=39007
>
>Foss <foss@openmailbox.org> changed:
>
>           What    |Removed                     |Added
>-------------------------------------------------------------------
>---------
>         Whiteboard|target:3.7.0 target:4.2.0   |target:3.7.0 
>target:4.2.0
>                   |target:4.1.2                |target:4.1.2
>                   |                            
>|NoRepro:4.3.0.0alpha0+:OSX1
>                   |                            |0.9
>
>--- Comment #111 from Foss <foss@openmailbox.org> ---
>Looks fixed for me on OS X 10.9 and 4.3.0.0alpha0+. Adding 
>whiteboard status.
>
>iSoph: Could you please test and see if
>ds.libreoffice.org/daily/master/MacOSX-x86@49-TDF/current/ fixes 
>this issue for
>you?
>
>-- 
>You are receiving this mail because:
>You are on the CC list for the bug.
Comment 115 iSoph 2013-12-29 17:03:42 UTC
(In reply to comment #110)
Michael - I need to clarify what I’m doing when I get this bug:
I go to ~/Library/Saved Application State/org.libreoffice.script.savedState
In this folder there is a document named restorecount.txt. I delete this document and Libre Office starts again normally.
Comment 116 Michael Meeks 2013-12-31 10:30:56 UTC
Trivial patch here:

https://gerrit.libreoffice.org/7239

Would be great to have it tested of course :-) are there really two names for that file ?
Comment 117 Commit Notification 2014-01-01 16:51:02 UTC
Michael Meeks committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=6e04f88d71ed7211cf574db9d07c8de1c2a1a175

fdo#39007: blind fix for renamed OS X restore-state file



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 118 Commit Notification 2014-01-02 10:51:48 UTC
Michael Meeks committed a patch related to this issue.
It has been pushed to "libreoffice-4-1":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=4c6646b2b5accd492958318f34f3b8059717c8e6&h=libreoffice-4-1

fdo#39007: blind fix for renamed OS X restore-state file


It will be available in LibreOffice 4.1.5.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 119 Michael Meeks 2014-01-02 11:01:10 UTC
Will push fix to libreoffice-4-2 in a minute, it's in -4-1 and master as of now. Thanks for the report :-) wonder what they'll rename the file to next.
Comment 120 Commit Notification 2014-01-02 12:01:55 UTC
Michael Meeks committed a patch related to this issue.
It has been pushed to "libreoffice-4-2":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=4df7072a88691fb11916dc23f5bd0f35cb6227e6&h=libreoffice-4-2

fdo#39007: blind fix for renamed OS X restore-state file


It will be available in LibreOffice 4.2.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 121 iSoph 2014-02-04 08:26:50 UTC
Hello,

Got the bug again with my 4.1.4 version of Libre Office, so I went, downloaded the daily build for 4.1 and installed it.
Started it, but it still displayed the « Restore windows » popup and didn’t want it closed.
Then I downloaded the main 4.2 release, installed it, and it works, the restorecount.txt file gets trashed on start, and then it goes smoothly, yay!
Comment 122 Luan Ramalho 2017-07-06 22:31:44 UTC Comment hidden (off-topic)
Comment 123 Luan Ramalho 2017-07-06 22:33:17 UTC Comment hidden (obsolete, off-topic)
Comment 124 tommy27 2017-07-07 04:49:03 UTC Comment hidden (off-topic)
Comment 125 christoph.22.hohm@gmail.com 2017-10-18 13:37:07 UTC
Hello. I write my first feedback to the new version 6. 0. 0. 0 under Ubuntu 17. 04 for Writer. The installation of LibreOffice has functioned on downloading without problems. For the German documentation works I on the Writer manual and provides for the chapter 10 Document presentations use the 1st chapter in German. Externally the version 6. 0. 0. 0 has changed positively, indeed, some orders are still absent in the symbolic tape of Writer. In file a counter is absent for the treatment of the document qualities. In start are absent 1 badge to open the main dialogues for sign and sales. In insertion and in references the order Cross-references 2x appears. For the insertion of the fields Date, Title, Subject supra author a counter is absent to the insertion. To keep the cross-references in references and to provide a counter for the other field orders in front with insertion. In the menu Insertion from the old menu strip cross-references and other field orders appeared together. In insertion or side layout an order is absent to the insertion of the head lines and footing lines. The order is performed in the old menu strip separately. In the menu Extras - options are shown the left side of the orders still on English, although the German linguistic package was installed. Some orders must be still called about the classical menu strip, but I like the optics of the symbolic strip quite well. I am glad about it if the final version from appears 6. 0. 0. 0 in German. It would be good if the versions are provided by LibreOffice - like now also - furthermore in 32 bits of version for older PCs) and also for modern 64 bits of systems to the Downbload.The proposals would be also advantageous in the stable version row 5. 3. x to LibreOffice Writer. Forgiveness, if the English text well does not read. My English not so well. Regard Christoph.
Comment 126 Julien Nabet 2017-10-18 13:52:11 UTC
(In reply to christoph.22.hohm@gmail.com from comment #125)
> Hello. I write my first feedback to the new version 6. 0. 0. 0 under Ubuntu
> 17. 04 for Writer. The installation of LibreOffice has functioned on
...
Please don't hijack an existing fixed bugtracker to comment your LO 6.0 install.

If you have some bugs, please submit a bugtracker per problem.
Also, try to provide short description. (you can read this guide here: https://wiki.documentfoundation.org/QA/BugReport)
Comment 127 tommy27 2017-10-18 14:10:36 UTC
reverted version and O/S fields to original status.